def is_goodpar(E):
    pile = []
    for e in E:
        if e == '(':
            pile.append(e)
        elif e == ')':
            if len(pile) != 0:
                if pile[-1] == '(':
                    pile.pop()
                else:
                    return False
            else:
                return False

    if len(pile) == 0:
        return True